> ## Documentation Index
> Fetch the complete documentation index at: https://docs.speccheckrx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Labs

> Returns the labs associated with a user.

```http theme={null}
GET https://api.speccheckrx.com/v1/labs
```

### Authentication

This endpoint requires bearer token authentication.

### Headers

<ParamField header="Authorization" type="string" required="true">
  Your bearer token in the format `Bearer <token>`.
</ParamField>

<ParamField header="User-Email" type="string" required="true">
  The email address of the user whose associated labs should be returned.

  Must exactly match the email address used to log in to the SpecCheck Dashboard.
</ParamField>

### Returns

Returns an object with a `data` array of labs for the user identified by the `User-Email` header. If there are no labs, `data` is an empty array.

<ResponseField name="data" type="array of Lab Object">
  <Expandable title="Lab">
    <ResponseField name="id" type="string">
      The unique identifier for the lab.
    </ResponseField>

    <ResponseField name="name" type="string">
      The name of the lab.
    </ResponseField>

    <ResponseField name="account_number" type="string">
      The lab account number for this lab.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json theme={null}
  {
    "data": [
      {
        "id": "lab_123",
        "name": "Acme Lab",
        "account_number": "1234567"
      },
      {
        "id": "lab_456",
        "name": "VisionWorks Lab",
        "account_number": "7654321"
      }
    ]
  }
  ```
</ResponseExample>

<RequestExample>
  ```bash theme={null}
  curl https://api.speccheckrx.com/v1/labs \
    -H "Authorization: Bearer {{ACCESS_TOKEN}}" \
    -H "User-Email: {{USER_EMAIL}}"
  ```
</RequestExample>
